Page MenuHomePhabricator

[llvm-reduce] Add flag to only run specific passes
ClosedPublic

Authored by aeubanks on Apr 25 2021, 10:54 PM.

Diff Detail

Event Timeline

aeubanks requested review of this revision.Apr 25 2021, 10:54 PM
aeubanks created this revision.
Herald added a project: Restricted Project. · View Herald TranscriptApr 25 2021, 10:54 PM
swamulism added inline comments.Apr 26 2021, 4:48 PM
llvm/tools/llvm-reduce/DeltaManager.cpp
94–121

Is it possible to add documentation for this either in a --help menu or elsewhere?

aeubanks updated this revision to Diff 340916.Apr 27 2021, 11:00 AM

add flag to print passes

aeubanks updated this revision to Diff 341691.Apr 29 2021, 4:02 PM

remove unrelated change

hans accepted this revision.Apr 30 2021, 6:21 AM

lgtm

+1 to the comment that it would be nice to have some docs; llvm-reduce should have a page on https://llvm.org/docs/CommandGuide/ really

llvm/tools/llvm-reduce/deltas/Delta.cpp
18 ↗(On Diff #341691)

is it used in this file?

This revision is now accepted and ready to land.Apr 30 2021, 6:21 AM

Can you add a test for the new option?

aeubanks updated this revision to Diff 341989.Apr 30 2021, 11:23 AM

unintentional include

Can you add a test for the new option?

which option? custom-delta-passes.ll should be testing all of them

fhahn accepted this revision.Apr 30 2021, 11:30 AM

Can you add a test for the new option?

which option? custom-delta-passes.ll should be testing all of them

arg sorry I missed that print-delta-passes is also part of llvm/test/tools/llvm-reduce/custom-delta-passes.ll

LGTM

This revision was landed with ongoing or failed builds.Apr 30 2021, 11:51 AM
This revision was automatically updated to reflect the committed changes.